{% extends 'pagination.html' %}






{% block content %}
<a href="{% url 'mealplans_new' %}">Create</a>
<main class="mealplan-grid">


    {% for plan in mealplan %}
    <div class="mealplan-card">
        <h2 class="mealplan-card-title">
            <a href="{% url 'mealplans/detail.html' plan.id %}">{{ plan.name }}</a>

            <p>{{plan.recipes.name}} </p>
            {% for recipe in plan.recipes.all %}
            <p>
                <a href="{% url 'recipe_detail' recipe.id %}"> {{recipe.name}}</a>
            </p>
            {% endfor %}
        </h2>
    </div>
    {% endfor %}
</main>
{% endblock content %}